.account {
  padding: 30px 0;
}

.account__form {
  max-width: 650px;
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 0 auto;
}

.account__form-title {
  font-size: 25px;
  font-weight: 400;
  text-align: center;
}

.account__form-title span {
  font-weight: 700;
}

.account__range-wrapper {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  height: 10px;
  background-color: #c9c9c9;
  border-radius: 10px;
  margin-top: 70px;
}

.account__range {
  width: 100%;
  height: 100%;
  -webkit-appearance: none;
  background-color: #c9c9c9;
  border-radius: 10px;
}

@-moz-document url-prefix() {
  .account__range {
    z-index: 1000;
  }
}

.account__range-value {
  position: absolute;
  top: -30px;
  background-color: #0049ff;
  color: #fff;
  border-radius: 3px;
  padding: 3px 10px;
}

.account__range::-webkit-slider-thumb {
  position: relative;
  -webkit-appearance: none;
  width: 50px;
  height: 12px;
  border-radius: 10px;
  cursor: pointer;
  background: #0049ff;
  z-index: 2;
}

.account__range::-moz-range-thumb {
  position: relative;
  appearance: none;
  width: 50px;
  height: 12px;
  border-radius: 10px;
  cursor: pointer;
  pointer-events: all;
  background: #0049ff;
  z-index: 1000;
  border: none;
}

.account__range::-ms-thumb {
  position: relative;
  appearance: none;
  width: 50px;
  height: 12px;
  border-radius: 10px;
  cursor: pointer;
  pointer-events: all;
  background: #0049ff;
  z-index: 1000;
  border: none;
}

.account__range-wrapper {
  position: relative;
}

.account__range-point {
  position: absolute;
  display: block;
  border-radius: 12px;
  background-color: #fff;
  border: 1px solid #9e9e9e;
  width: 50px;
  height: 100%;
  cursor: pointer;
  z-index: 1;
  font-weight: 600;
}

.account__range-point span {
  position: absolute;
  bottom: -30px;
  width: 100%;
  text-align: center;
}

.account__range-wrapper span:first-child {
  left: 0;
}

.account__range-wrapper span:nth-child(even) {
  left: 49.3%;
  transform: translateX(-50%);
}

.account__range-wrapper span:last-child {
  right: 0;
}

.account__form-progress span.active {
  background-color: #0049ff;
  border: none;
}

.account__form-inputs {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 40px;
  align-items: center;
  margin-top: 70px;
}

.account__form-footer {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 50px;
  width: 100%;
}

.account__form-btn {
  padding: 15px 30px;
  max-width: 305px;
  width: 100%;
  min-height: 40px;
  font-size: 16px;
  font-weight: 600;
  background-color: #0049ff;
  color: #fff;
  border-radius: 10px;
}

.account__form-text {
  max-width: 305px;
  font-size: 14px;
  color: #c9c9c9;
}

.account__footer-text {
  font-size: 16px;
  font-weight: 400;
  color: #c9c9c9;
  margin-top: 50px;
}

input:read-only {
  color: #646464;
}

@media (max-width: 670px) {
  .account__form-footer {
    flex-direction: column;
    gap: 10px;
  }
}

@media (min-width: 1500px) {
  .account {
    padding-top: 103px;
    padding-bottom: 43px;
    background-image: url("../images/account-bg.jpg");
    background-repeat: no-repeat;
    background-position: right;
  }

  .account__form {
    margin: 0;
  }

  .account__form-title {
    width: 100%;
    text-align: left;
  }
}

